Page MenuHomePhabricator

The arrow for row operations on table is missing
Closed, ResolvedPublic

Description

  1. Insert a table
  2. Select a cell

The arrow marker for the row operations is missing.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 12:38 AM

We were using indicator-next which was deprecated a while ago and removed in OOUI 0.26.0. Oops.

@Volker_E suggests resizing the next and down icons instead. Bit hack but it works.

Volker_E moved this task from Backlog to Doing on the OOUI board.Mar 23 2018, 1:29 AM
Volker_E triaged this task as High priority.
This comment was removed by Esanders.

Change 421520 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Use icon instead of indicator in TableLineContext

https://gerrit.wikimedia.org/r/421520

Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 421520 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Use icon instead of indicator in TableLineContext

https://gerrit.wikimedia.org/r/421520

Change 421555 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (cd958f71d)

https://gerrit.wikimedia.org/r/421555

Change 421555 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (cd958f71d)

https://gerrit.wikimedia.org/r/421555

matmarex closed this task as Resolved.Mar 23 2018, 8:09 PM
matmarex removed a project: OOUI.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 23 2018, 8:09 PM

This is also missing for mobile VE, even in production. So that's probably a separate existing issue, should I file a separate task for it?

Thanks, we can track that with this task.

Esanders added a comment.EditedMar 24 2018, 3:41 PM

Fix is working locally on mobile:

Ryasmeen added a comment.EditedMar 30 2018, 12:23 AM

Interesting, I see the arrow in an android device (Nexus 7) but not while using desktop browsers .